body{
    margin: 0px;
}

body, div, h1, h2, h3, h4, h5, span, a, button, input{
    font-family: 'Lucida Sans', sans-serif;
}

.main-login{
    width:50vw;
    padding:100px;
    margin-left: auto;
    margin-right: auto;
    
    
}
.content-section{
    background-color:#ffe866;
    width:60vw;
    height: 100vh;;
}

.login-header{
    margin-bottom:20px;
    font-size: 27px;
    text-align: center;
}

.login-section{
    display:flex;
    flex-direction: column;
    width:30vw;
    height:100vh;
    padding:60px;
    padding-top:70px;
}

.input-label{
    font-weight: 500;
}

.label-group{
    margin-top:14px;
    margin-bottom:14px;
}

.input{
    padding:10px;
    border-width: 0px;
    width: 100%;
    font-weight: 700;
    color:gray;
    margin-top: 10px;
}

.input-group{
    border-radius: 2px;
    border-width: 0px;
    border-bottom-width: 1px;
    border-color:gray;
    border-style:solid;
    padding:10px;
    padding-left:0px;
    padding-right:0px;
    width:80%;
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    transition: all 0.05s;
}

.input-group:focus-within{
    border-color: #ffe001;
    border-bottom-width: 3px;
}

.input-icon{
    height: 19px;
    margin-left: 370px;
    margin-top: -33px;
}

.main-button{
    margin: auto;
    margin-top: 12px;
    width:50%;
    background-color: #F9CFF2;
    padding:15px;
    font-weight: 700;
    font-size: 14px;
    border-radius:10px;
    border-width: 0px;
    cursor: pointer;
    display: block;
}

.main-button:hover{
    background-color: #E8F9B3;
}

.hand{
    margin-left: auto;
    margin-right: auto;
    width: 65%;
    display: block;
}

.create-new{
    color: blueviolet !important;
    font-size: 13px;
    margin-top:25px;
    cursor: pointer;
    text-align: center;
    font-weight: bold;
}

.auth-section{
    display:flex;
    flex-direction: column;
    transition: all 0.3s;
    position: absolute;
    opacity: 1;
    visibility: visible;
    width: 400px;
}

.hide{
    visibility: hidden;
    opacity: 0;
}

.error-message{
    color:red;
    font-weight: 700;
    padding:20px;
    margin:5px;
    margin-left: 0px;
    background-color: rgb(255, 239, 239);
    border-radius: 10px;
    display: none;
}

.success-message{
    color:green;
    font-weight: 700;
    padding:20px;
    margin:5px;
    margin-left: 0px;
    background-color: rgb(234, 255, 234);
    border-radius: 10px;
    display: none;
}

.homepage{
    width:50vw;
    padding:100px;
    margin-left: auto;
    margin-right: auto;
    font-size: 48px;
    font-weight: 700;
    text-align: center;
}

.homepage-subtitle{
    font-size: 23px;
    width: 75%;
    margin: auto;
    text-align: center;
}

.logout-button{
    font-size: 20px;
}
.homepage a{
    text-decoration: none;
}


.loading-hide {
    display: none !important;
}

.lds-ring {
    display: inline-block;
    position: relative;
    width: 40px;
    height: 20px;
}

.lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 25px;
    height: 25px;
    margin: 3px;
    border: 4px solid black;
    border-radius: 80%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: black transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
}

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}


.password-strength {
    font-size: 14px;
    font-weight: 600;
    margin-top: 20px;
}

.password-strength-item {
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 13px;
    font-weight: 400;
    display: flex;
    flex-direction: row;
    color: red;
}

.password-strength-item.base {
    color: black;
}

.password-strength-item.valid {
    color: green;
}

.password-strength-icon {
    color: green;
    display: none;
    margin-right: 5px;
}

.password-strength-item.valid .password-strength-icon {
    display: inline-block;
}

@media (max-width: 700px) {
    #mainNav {
        width: 100% !important;
        min-height: 3.5rem;
        background-color: #fff;
    }

    .navbar .container .navbar-toggler-right { 
    padding-right: 2px !important;
    margin-top: 18px !important;
    } 

    /*
    .page-utama {
        width: 100% !important;
        margin-bottom: 40x;
    } */
    
    .homepage {
        width: 100% !important;
        font-size: 23px;
        margin-top: -30px;
    }
    .homepage-subtitle {
      width: 110% !important;
      font-size: 15px;
      margin-top: 10px;
    }

    .img-gif {
        width: 80% !important;
    }
        
    .main-button{
        margin: auto;
        margin-top: 12px;
        width:60%;
        background-color: #F9CFF2;
    }
    .logout-button{
        font-size: 9px;
    }

    /* login/regist page */
    h1 {
        font-size: 20px !important;
        margin-left: -500px !important;
    }
    .input-group{
        border-radius: 2px;
        border-width: 0px;
        border-bottom-width: 1px;
        border-color:gray;
        border-style:solid;
        padding:10px;
        padding-left:0px;
        padding-right:0px;
        width:50% !important;
        display:flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        transition: all 0.05s;
        margin-left: -10px !important;
    }
    
    .input-group:focus-within{
        border-color: #ffe001;
        border-bottom-width: 3px;
    }
    .label-group{
        margin-top:14px;
        margin-bottom:14px;
        margin-left: -220px !important;
    }
    
    button {
        margin-left: -200px !important;
    }

    .input-icon{
        height: 19px;
        margin-left: -200px !important;
        margin-top: 25px !important;
    }
    .create-new{
        color: blueviolet !important;
        font-size: 11px;
        margin-top:25px;
        cursor: pointer;
        text-align: center;
        font-weight: bold;
        margin-left: -520px !important;
    }
  }

